<?php
$is_new = \Elementor\Icons_Manager::is_migration_allowed();

$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');

$col_xl = 12 / intval($col_xl);
$col_lg = 12 / intval($col_lg);
$col_md = 12 / intval($col_md); 
$col_sm = 12 / intval($col_sm);
$col_xs = 12 / intval($col_xs);

$grid_sizer = "col-xl-{$col_xl} col-lg-{$col_lg} col-md-{$col_md} col-sm-{$col_sm} col-{$col_xs}";
$item_class = "pxl-grid-item col-xl-{$col_xl} col-lg-{$col_lg} col-md-{$col_md} col-sm-{$col_sm} col-{$col_xs}";
$html_id = pxl_get_element_id($settings);
?>
<?php if(isset($settings['box_lv2']) && !empty($settings['box_lv2']) && count($settings['box_lv2'])): ?>
<div class="pxl-grid pxl-box-grid pxl-box-grid2" data-layout="<?php echo esc_attr($settings['data_layout']); ?>">
    <div class="pxl-grid-inner pxl-grid-masonry row" data-gutter="15">
        <?php foreach ($settings['box_lv2'] as $key => $value):
            $icon_key = $widget->get_repeater_setting_key( 'pxl_icon', 'icons', $key );
            $widget->add_render_attribute( $icon_key, [
                'class' => $value['pxl_icon'],
                'aria-hidden' => 'true',
            ] );
            $title_lv2 = isset($value['title_lv2']) ? $value['title_lv2'] : '';
            $desc_lv2 = isset($value['desc_lv2']) ? $value['desc_lv2'] : '';
            ?>
            <div class="<?php echo esc_attr($item_class); ?>">
                <div class="pxl-item--inner">
                    <div class="pxl-inner-icon">
                        <?php if ( ! empty( $value['pxl_icon'] ) ) : ?>
                            <div class="pxl-item--icon">
                                <?php if ( $is_new ):
                                    \Elementor\Icons_Manager::render_icon( $value['pxl_icon'], [ 'aria-hidden' => 'true' ] );
                                elseif(!empty($value['pxl_icon'])): ?>
                                    <i class="<?php echo esc_attr( $value['pxl_icon'] ); ?>" aria-hidden="true"></i>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="pxl-item--title">
                        <?php echo pxl_print_html($title_lv2); ?>
                    </div>
                    <div class="pxl-item--content">
                        <?php echo pxl_print_html($desc_lv2); ?>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
        <div class="grid-sizer <?php echo esc_attr($grid_sizer); ?>"></div>
    </div>
</div>
<?php endif; ?>
